Create DispatchingServiceFactory for creating instances of dispatching services that could be used with multiple repositories
Closed, ResolvedPublic

Description

According to the architecture outlined in T148141 DispatchingServiceFactory will enumerate RepositoryServiceContainers (see T153057) to get a mapping from repository names to repository-specific service instances.
This map will be use to create an instance of the dispatching service. Instantiation of the particular dispatching service will be defined in the wiring file.

Change 325968 had a related patch set uploaded (by WMDE-leszek):
Add DispatchingServiceFactory and the wiring file

https://gerrit.wikimedia.org/r/325968

WMDE-leszek moved this task from Proposed to Review on the Wikidata-Sprint board.Dec 13 2016, 11:37 AM

Change 325968 merged by jenkins-bot:
Add DispatchingServiceFactory and the wiring file

https://gerrit.wikimedia.org/r/325968

WMDE-leszek moved this task from Review to Done on the Wikidata-Sprint board.Dec 16 2016, 1:14 PM
WMDE-leszek closed this task as Resolved.Jan 3 2017, 1:33 PM